For Developers
Create Application Origin Policy
POST https://ed.link/api/v2/teams/:team_id/applications/:application_id/origin-policies
Convenience endpoint that creates and links an application-scoped origin policy to the specified application using default policy evaluation settings.
Permissions
Requires the origin_policies.create system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:application_id | UUID | Yes | The ID of the application. |
Sample Request
const response = await axios.post(
`https://ed.link/api/v2/teams/${team_id}/applications/${application_id}/origin-policies`,
{},
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"id": "7fa194a2-1982-4f91-8841-59128aa10234",
"type": "application",
"evaluation_mode": "enforcing",
"ip_default_outcome": "allowed",
"geo_default_outcome": "allowed",
"vpn_outcome": "allowed",
"tor_outcome": "allowed",
"team_id": "6a9e99a8-e165-4d0d-9b7d-6062a4be682d"
}
}
